<template>
  <navbar tag="header" id="app-navbar" toggleable>
    <skippy target="#content-body"/>

    <b-button class="sidebar-toggler d-md-none" variant="outline-light"
      @click="toggleSidebar(!collapse)"
      :aria-expanded="collapse ? 'true' : 'false'"
      aria-controls="app-sidebar"
      aria-label="Toggle navigation">
      <icon name="menu"/>
    </b-button>

    <navbar-brand>{{ project.name }}</navbar-brand>

    <navbar-nav class="ml-auto">
      <b-nav-item-dropdown right>
        <template slot="button-content">
          <!-- <img alt="User Photo" src="../assets/user-photo.svg" class="avatar-img"> -->
          <b-img src="@/assets/user-photo.svg" rounded="circle" width="24" alt="User Photo" class="avatar-img" />
          <span>User</span>
        </template>

        <b-dropdown-item href="#">Profile</b-dropdown-item>
        <b-dropdown-item href="#">Account</b-dropdown-item>
        <b-dropdown-divider/>
        <b-dropdown-item href="#">Logout</b-dropdown-item>
      </b-nav-item-dropdown>
    </navbar-nav>
  </navbar>
</template>

<script>
import Navbar from 'bootstrap-vue/es/components/navbar/navbar'
import NavbarNav from 'bootstrap-vue/es/components/navbar/navbar-nav'
import NavbarBrand from 'bootstrap-vue/es/components/navbar/navbar-brand'

import Skippy from '@/components/skippy'
import { project, sidebarToggler } from '@/mixins'

export default {
  name: 'headbar',

  mixins: [
    project,
    sidebarToggler
  ],

  components: {
    'navbar': Navbar,
    'navbar-nav': NavbarNav,
    'navbar-brand': NavbarBrand,
    'skippy': Skippy
  }
}
</script>

<style lang="scss">
@import '~bootstrap/scss/navbar';

.btn.sidebar-toggler {
  background: transparent !important;
  border-color: transparent !important;
  margin-left: -($page-gutter - 2);

  &:focus {
    box-shadow: none;
  }
}

#app-navbar {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: $zindex-fixed;
  height: $headbar-height;
  background-color: $primary;

  .navbar-brand {
    color: $white;
    font-weight: $font-weight-bold;

    &:hover,
    &:focus {
      color: $white;
    }
  }

  .navbar-nav .nav-link {
    color: $white;
  }

  .dropdown-menu {
    position: absolute;
  }

  .avatar-img {
    margin-right: 6px;
    float: left;
  }
}
</style>
